Berkeley DB version 4.2.52

## com.sleepycat.bdb.collection
Class StoredSortedValueSet

    java.lang.Object
      |
      +--com.sleepycat.bdb.collection.StoredContainer
            |
            +--com.sleepycat.bdb.collection.StoredCollection
                  |
                  +--com.sleepycat.bdb.collection.StoredValueSet
                        |
                        +--com.sleepycat.bdb.collection.StoredSortedValueSet

All Implemented Interfaces:
  Cloneable, Collection, Set, SortedSet

public class StoredSortedValueSet
extends StoredValueSet
implements SortedSet

The SortedSet returned by Map.values() and which can also be constructed directly if a Map is not needed. Although this collection is a set it may contain duplicate values. Only if an entity value binding is used are all elements guaranteed to be unique.

In addition to the standard SortedSet methods, this class provides the following methods for stored sorted value sets only. Note that the use of these methods is not compatible with the standard Java collections interface.

- `headSet(Object, boolean)`
- `tailSet(Object, boolean)`
- `subSet(Object, boolean, Object, boolean)`

Constructor Summary
`StoredSortedValueSet(DataIndex index, DataBinding valueBinding, boolean writeAllowed)` Creates a sorted value set view of a `DataIndex`.
`StoredSortedValueSet(DataIndex index, EntityBinding valueEntityBinding, boolean writeAllowed)` Creates a sorted value set entity view of a `DataIndex`.
`StoredSortedValueSet(DataStore store, EntityBinding valueEntityBinding, boolean writeAllowed)` Creates a sorted value set entity view of a `DataStore`.

Method Summary
`Comparator` `comparator()` Returns null since comparators are not supported.
`Object` `first()` Returns the first (lowest) element currently in this sorted set.
`SortedSet` `headSet(Object toValue)` Returns a view of the portion of this sorted set whose elements are strictly less than toValue.
`SortedSet` `headSet(Object toValue, boolean toInclusive)` Returns a view of the portion of this sorted set whose elements are strictly less than toValue, optionally including toValue.
`Object` `last()` Returns the last (highest) element currently in this sorted set.
`SortedSet` `subSet(Object fromValue, boolean fromInclusive, Object toValue, boolean toInclusive)` Returns a view of the portion of this sorted set whose elements are strictly greater than fromValue and strictly less than toValue, optionally including fromValue and toValue.
`SortedSet` `subSet(Object fromValue, Object toValue)` Returns a view of the portion of this sorted set whose elements range from fromValue, inclusive, to toValue, exclusive.
`SortedSet` `tailSet(Object fromValue)` Returns a view of the portion of this sorted set whose elements are greater than or equal to fromValue.
`SortedSet` `tailSet(Object fromValue, boolean fromInclusive)` Returns a view of the portion of this sorted set whose elements are strictly greater than fromValue, optionally including fromValue.

Methods inherited from class com.sleepycat.bdb.collection.StoredValueSet
`add, contains, remove, size`

Methods inherited from class com.sleepycat.bdb.collection.StoredCollection
`addAll, containsAll, equals, iterator, iterator, join, join, removeAll, retainAll, toArray, toArray, toList, toString`

Methods inherited from class com.sleepycat.bdb.collection.StoredContainer
`areDuplicatesAllowed, areDuplicatesOrdered, areKeysRenumbered, clear, isAutoCommit, isDirtyReadAllowed, isDirtyReadEnabled, isEmpty, isIndexed, isOrdered, isTransactional, isWriteAllowed`

Methods inherited from class java.lang.Object
`getClass, hashCode, notify, notifyAll, wait, wait, wait`

Methods inherited from interface java.util.Set
`add, addAll, clear, contains, containsAll, equals, hashCode, isEmpty, iterator, remove, removeAll, retainAll, size, toArray, toArray`

Constructor Detail

### StoredSortedValueSet

    public StoredSortedValueSet(DataStore store,
                                EntityBinding valueEntityBinding,
                                boolean writeAllowed)

  Creates a sorted value set entity view of a `DataStore`.

Parameters:
  `store` - is the DataStore underlying the new collection.
  `valueEntityBinding` - is the binding used to translate between key/value buffers and entity value objects.
  `writeAllowed` - is true to create a read-write collection or false to create a read-only collection.
Throws:
  `IllegalArgumentException` - if formats are not consistently defined or a parameter is invalid.
  `RuntimeExceptionWrapper` - if a `DbException` is thrown.

### StoredSortedValueSet

    public StoredSortedValueSet(DataIndex index,
                                DataBinding valueBinding,
                                boolean writeAllowed)

  Creates a sorted value set view of a `DataIndex`.

Parameters:
  `index` - is the DataIndex underlying the new collection.
  `valueBinding` - is the binding used to translate between value buffers and value objects.
  `writeAllowed` - is true to create a read-write collection or false to create a read-only collection.
Throws:
  `IllegalArgumentException` - if formats are not consistently defined or a parameter is invalid.
  `RuntimeExceptionWrapper` - if a `DbException` is thrown.

### StoredSortedValueSet

    public StoredSortedValueSet(DataIndex index,
                                EntityBinding valueEntityBinding,
                                boolean writeAllowed)

  Creates a sorted value set entity view of a `DataIndex`.

Parameters:
  `index` - is the DataIndex underlying the new collection.
  `valueEntityBinding` - is the binding used to translate between key/value buffers and entity value objects.
  `writeAllowed` - is true to create a read-write collection or false to create a read-only collection.
Throws:
  `IllegalArgumentException` - if formats are not consistently defined or a parameter is invalid.
  `RuntimeExceptionWrapper` - if a `DbException` is thrown.

Method Detail

### comparator

    public Comparator comparator()

  Returns null since comparators are not supported. The natural ordering of a stored collection is data byte order, whether the data classes implement the `Comparable` interface or not. This method does not conform to the `SortedSet.comparator()` interface.

  Specified by:
    `comparator` in interface `SortedSet`
  Returns:
    null.

### first

    public Object first()

  Returns the first (lowest) element currently in this sorted set. This method conforms to the `SortedSet.first()` interface.

  Specified by:
    `first` in interface `SortedSet`
  Returns:
    the first element.
  Throws:
    `RuntimeExceptionWrapper` - if a `DbException` is thrown.

### last

    public Object last()

  Returns the last (highest) element currently in this sorted set. This method conforms to the `SortedSet.last()` interface.

  Specified by:
    `last` in interface `SortedSet`
  Returns:
    the last element.
  Throws:
    `RuntimeExceptionWrapper` - if a `DbException` is thrown.

### headSet

    public SortedSet headSet(Object toValue)

  Returns a view of the portion of this sorted set whose elements are strictly less than toValue. This method conforms to the `SortedSet.headSet(java.lang.Object)` interface.

  Specified by:
    `headSet` in interface `SortedSet`
  Parameters:
    `toValue` - the upper bound.
  Returns:
    the subset.
  Throws:
    `RuntimeExceptionWrapper` - if a `DbException` is thrown.

### headSet

    public SortedSet headSet(Object toValue,
                             boolean toInclusive)

  Returns a view of the portion of this sorted set whose elements are strictly less than toValue, optionally including toValue. This method does not exist in the standard `SortedSet` interface.

  Parameters:
    `toValue` - is the upper bound.
    `toInclusive` - is true to include toValue.
  Returns:
    the subset.
  Throws:
    `RuntimeExceptionWrapper` - if a `DbException` is thrown.

### tailSet

    public SortedSet tailSet(Object fromValue)

  Returns a view of the portion of this sorted set whose elements are greater than or equal to fromValue. This method conforms to the `SortedSet.tailSet(java.lang.Object)` interface.

  Specified by:
    `tailSet` in interface `SortedSet`
  Parameters:
    `fromValue` - is the lower bound.
  Returns:
    the subset.
  Throws:
    `RuntimeExceptionWrapper` - if a `DbException` is thrown.

### tailSet

    public SortedSet tailSet(Object fromValue,
                             boolean fromInclusive)

  Returns a view of the portion of this sorted set whose elements are strictly greater than fromValue, optionally including fromValue. This method does not exist in the standard `SortedSet` interface.

  Parameters:
    `fromValue` - is the lower bound.
    `fromInclusive` - is true to include fromValue.
  Returns:
    the subset.
  Throws:
    `RuntimeExceptionWrapper` - if a `DbException` is thrown.

### subSet

    public SortedSet subSet(Object fromValue,
                            Object toValue)

  Returns a view of the portion of this sorted set whose elements range from fromValue, inclusive, to toValue, exclusive. This method conforms to the `SortedSet.subSet(java.lang.Object, java.lang.Object)` interface.

  Specified by:
    `subSet` in interface `SortedSet`
  Parameters:
    `fromValue` - is the lower bound.
    `toValue` - is the upper bound.
  Returns:
    the subset.
  Throws:
    `RuntimeExceptionWrapper` - if a `DbException` is thrown.

### subSet

    public SortedSet subSet(Object fromValue,
                            boolean fromInclusive,
                            Object toValue,
                            boolean toInclusive)

  Returns a view of the portion of this sorted set whose elements are strictly greater than fromValue and strictly less than toValue, optionally including fromValue and toValue. This method does not exist in the standard `SortedSet` interface.

  Parameters:
    `fromValue` - is the lower bound.
    `fromInclusive` - is true to include fromValue.
    `toValue` - is the upper bound.
    `toInclusive` - is true to include toValue.
  Returns:
    the subset.
  Throws:
    `RuntimeExceptionWrapper` - if a `DbException` is thrown.

Berkeley DB version 4.2.52

Copyright (c) 1996-2003 Sleepycat Software, Inc. - All rights reserved.